Delete Content

  • DEL
  • /workspaces
  • /:workspace
  • /artifacts
  • /:artifact_id
  • /versions
  • /:version_id
  • /content
  • /:path

Delete a file or directory

Request

REQUIRED SCOPES
ARTIFACT_MANAGE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

artifact_idrequiredstring
The Artifact ID

Example: "x5169jL2"

version_idrequiredstring
The Version ID

Example: "a9f84k2L"

pathrequiredstring
Path to the file or directory to delete

Constraints: Pattern: .*

Example: "src/components"

Last modified on Jun 29, 2026

Request example

CURL
curl -X DELETE "https://api.buddy.works/workspaces/:workspace/artifacts/:artifact_id/versions/:version_id/content/:path" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
STATUS
204 File or directory deleted successfully